cdac.medinfo.model

## Class Procedures

- java.lang.Object
- - cdac.medinfo.model.Procedures

-     public class Procedures
      extends java.lang.Object

  This class specify Procedures Section Details. This section defines all interventional, surgical, diagnostic, or therapeutic procedures or treatments pertinent to the patient historically at the time the document is generated. The section may contain all procedures for the period of time being summarized, but should include notable procedures.

  This class has the following attributes:

  1. Procedure (String)
  2. Date (String)
  3. Observe (String)
  4. Laterality (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Procedures()` Constructs an object of Procedures.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDate()` Returns the Date of Procedure Performed.
    `java.lang.String` | `getLaterality()` Returns the Laterality.
    `java.lang.String` | `getObserve()` Returns the Observe.
    `java.lang.String` | `getProcedure()` Returns the Procedure Activity.
    `java.lang.String` | `getProcedureActivityName()` Returns the Procedure Activity Name.
    `java.lang.String` | `getProcedureStatusCode()` Returns the Status Code of Procedure.
    `void` | `setDate(java.lang.String date)` Sets the Date of Procedure Performed.
    `void` | `setLaterality(java.lang.String laterality)` Sets the Laterality.
    `void` | `setObserve(java.lang.String observe)` Sets the Observe.
    `void` | `setProcedure(java.lang.String procedure)` Sets the Procedure Activity.
    `void` | `setProcedureActivityName(java.lang.String procedureActivityName)` Sets the Procedure Activity Name.
    `void` | `setProcedureStatusCode(java.lang.String procedureStatusCode)` Sets the Status Code of Procedure.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Procedures

          public Procedures()

      Constructs an object of Procedures.

  - ### Method Detail

    - #### getObserve

          public java.lang.String getObserve()

      Returns the Observe.
      Returns:
        the procedure

    - #### setObserve

          public void setObserve(java.lang.String observe)

      Sets the Observe.
      Parameters:
        `observe` - Specifies the Observe.

    - #### getProcedure

          public java.lang.String getProcedure()

      Returns the Procedure Activity.
      Returns:
        the procedure

    - #### setProcedure

          public void setProcedure(java.lang.String procedure)

      Sets the Procedure Activity.
      Parameters:
        `procedure` - Specifies the Procedure Activity.

    - #### getDate

          public java.lang.String getDate()

      Returns the Date of Procedure Performed.
      Returns:
        the date

    - #### setDate

          public void setDate(java.lang.String date)

      Sets the Date of Procedure Performed.
      Parameters:
        `date` - Specifies the Date of Procedure Performed.

    - #### setLaterality

          public void setLaterality(java.lang.String laterality)

      Sets the Laterality.
      Parameters:
        `laterality` - Specifies the Laterality.

    - #### getLaterality

          public java.lang.String getLaterality()

      Returns the Laterality.
      Returns:
        the laterality

    - #### getProcedureActivityName

          public java.lang.String getProcedureActivityName()

      Returns the Procedure Activity Name.
      Returns:
        the procedureActivityName

    - #### setProcedureActivityName

          public void setProcedureActivityName(java.lang.String procedureActivityName)

      Sets the Procedure Activity Name.
      Parameters:
        `procedureActivityName` - Specifies the Procedure Activity Name (E.g. "Act", "Observation", "Procedure").

    - #### getProcedureStatusCode

          public java.lang.String getProcedureStatusCode()

      Returns the Status Code of Procedure.
      Returns:
        the procedureStatusCode

    - #### setProcedureStatusCode

          public void setProcedureStatusCode(java.lang.String procedureStatusCode)

      Sets the Status Code of Procedure.
      Parameters:
        `procedureStatusCode` - Specifies the Status Code of Procedure.